module.exports = {

  extends: [
    './index.js',
  ],

  plugins: [
    'node',
  ],

  env: {
    node: true,
  },

  rules: {

    // Node.js and CommonJS (http://eslint.org/docs/rules/#nodejs-and-commonjs)
    'callback-return': 'error',
    'global-require': 'error',
    'handle-callback-err': ['error', 'error'],
    'no-mixed-requires': 'error',
    'no-new-require': 'error',
    'no-path-concat': 'error',
    'no-process-env': 'error',
    'no-process-exit': 'off', // xo/no-process-exit
    'no-restricted-modules': 'off', // do not disallow usage of specific Node.js modules
    'no-sync': 'error',

    // eslint-plugin-node (https://github.com/mysticatea/eslint-plugin-node#rules)
    'node/no-deprecated-api': 'error',
    'node/no-missing-import': 'off', // import/no-unresolved
    'node/no-missing-require': 'off', // import/no-unresolved
    'node/no-unpublished-import': 'error',
    'node/no-unpublished-require': 'error',
    'node/no-unsupported-features': 'off', // code is transpiled
    'node/process-exit-as-throw': 'error',
    'node/shebang': 'error',

    // eslint-plugin-xo (https://github.com/sindresorhus/eslint-plugin-xo)
    'xo/no-process-exit': 'error',

  },

}
