# eslint-config-opinionated [![build](https://img.shields.io/travis/aymericbeaumet/eslint-config-opinionated/master.svg)](https://travis-ci.org/aymericbeaumet/eslint-config-opinionated) [![npm](https://img.shields.io/npm/v/eslint-config-opinionated.svg)](https://www.npmjs.com/package/eslint-config-opinionated) [![license](https://img.shields.io/badge/license-Public%20Domain-blue.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

> Opinionated set of ESLint rules

A set of [ESLint](eslint.org) rules, following this hierarchy:

- [`opinionated`](./index.js): common denominator rules
  - [`opinionated/node`](./node.js): [Node.js](https://nodejs.org/) specific rules
  - [`opinionated/browser`](./node.js): browser specific rules
    - [`opinionated/react`](./react.js): [React](https://facebook.github.io/react/) specific
      rules
      - [`opinionated/react-native`](./react-native.js): [React
        Native](https://facebook.github.io/react-native/) specific rules
- [`opinionated/fp`](./fp.js): functional programming rules focusing on
  immutability

## Install

```bash
$ npm install --save-dev eslint eslint-config-opinionated
```

## Usage

Let your ESLint configuration [know about this
package](http://eslint.org/docs/user-guide/configuring#using-a-shareable-configuration-package):

```js
module.exports = {
  extends: 'opinionated',
}
```

Or you can extend a specific configuration optimized for an environment:

```js
module.exports = {
  extends: 'opinionated/node',
}
```

It is possible to extend several configurations:

```js
module.exports = {
  extends: [
    'opinionated/node',
    'opinionated/fp',
  ],
}
```

## Changelog

- 1.4.0
  - Update `func-style` rule

- 1.3.0
  - Update `one-var` rule

- 1.2.0
  - Update `padded-blocks` rule

- 1.1.0
  - Add missing ES6 rules

- 1.0.0
  - Bump stable

## License

[Creative Commons — CC0 1.0 Universal](http://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Aymeric Beaumet](https://aymericbeaumet.com)
has waived all copyright and related or neighboring rights to this work.
